import { EventEmitter, Injector, OnDestroy, OnInit } from '@angular/core';
import { ControlValueAccessor, FormControl } from '@angular/forms';
import { Subscription } from 'rxjs';
import * as i0 from "@angular/core";
export declare class CheckboxButtonComponent implements ControlValueAccessor, OnInit, OnDestroy {
    private injector;
    label: string;
    description: string;
    name: string;
    value: string;
    id: string;
    semibold: boolean;
    fullWidth: boolean;
    indeterminate: boolean;
    infoText: string | null;
    isInfoHovered: boolean;
    formControl: FormControl;
    ngModelChange: EventEmitter<any>;
    subscription: Subscription;
    constructor(injector: Injector);
    ngOnInit(): void;
    ngOnDestroy(): void;
    setComponentControl(): void;
    setHoverState(isHovered: boolean): void;
    writeValue(): void;
    registerOnChange(): void;
    registerOnTouched(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CheckboxButtonComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CheckboxButtonComponent, "epom-checkbox-button", never, { "label": "label"; "description": "description"; "name": "name"; "value": "value"; "id": "id"; "semibold": "semibold"; "fullWidth": "fullWidth"; "indeterminate": "indeterminate"; "infoText": "infoText"; }, {}, never, ["*"], false>;
}
